{% extends 'backoffice/base.html.twig' %}

{% block title %}Requests list{% endblock %}

{% block stylesheets %}
    {{ encore_entry_link_tags('bo_request') }}
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('bo_request') }}
{% endblock %}

{% block body %}

    <div class="col-md-12" style="background: #ffffff">

        <table id="table-request"  class="table table-striped table-bordered" style="width:100%">
            <thead>
            <tr style="font-size: 11px">
                <th>FirstName</th>
                <th>LastName</th>
                <th>Email</th>
                <th>Amount (€)</th>
                <th>RequestId</th>
                <th>RequestUuid</th>
                <th>Status</th>
                <th>Created At</th>
                <th>Update At</th>
            </tr>
            </thead>
            <tbody>
            {% for request in requests %}
                <tr>
                    <td width="">{{ request.firstName }}</td>
                    <td width="">{{ request.lastName }}</td>
                    <td width="">{{ request.email }}</td>
                    <td width="">{{ request.amount }}</td>
                    <td width="">{{ request.requestId }}</td>
                    <td width="">{{ request.requestUuid }}</td>
                    <td width="" class="status" data-uuid="{{ request.requestUuid }}">{{ request.status }}</td>
                    <td width="">{{ request.createdAt|date }}</td>
                    <td width="">{{ request.updatedAt|date }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}
